List deposits
const url = 'https://api.openfx.com/v1/brokerage/{orgId}/deposits';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));import requests
url = "https://api.openfx.com/v1/brokerage/{orgId}/deposits"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)HttpResponse<String> response = Unirest.get("https://api.openfx.com/v1/brokerage/{orgId}/deposits")
.header("Authorization", "Bearer <token>")
.asString();CURL *hnd = curl_easy_init();
curl_easy_setopt(hnd, CURLOPT_CUSTOMREQUEST, "GET");
curl_easy_setopt(hnd, CURLOPT_WRITEDATA, stdout);
curl_easy_setopt(hnd, CURLOPT_URL, "https://api.openfx.com/v1/brokerage/{orgId}/deposits");
struct curl_slist *headers = NULL;
headers = curl_slist_append(headers, "Authorization: Bearer <token>");
curl_easy_setopt(hnd, CURLOPT_HTTPHEADER, headers);
CURLcode ret = curl_easy_perform(hnd);package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.openfx.com/v1/brokerage/{orgId}/deposits"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}curl --request GET \
--url https://api.openfx.com/v1/brokerage/{orgId}/deposits \
--header 'Authorization: Bearer <token>'{
"status": "success",
"data": [
{
"id": "6a8dff03-a99c-4b76-b65a-3900315858a2",
"orgId": "c96183a5-2830-4606-9ae2-15dfd058872b",
"currency": "EUR",
"amount": 10,
"status": "COMPLETED",
"transactionHash": null,
"comments": null,
"referenceId": null,
"network": "FIAT",
"createdAt": "2025-02-07T13:02:29.147Z"
},
{
"id": "e8329d97-c9f9-4fa2-be2e-f0b9d0db2698",
"orgId": "c96183a5-2830-4606-9ae2-15dfd058872b",
"currency": "EUR",
"amount": 10,
"status": "COMPLETED",
"transactionHash": null,
"comments": "Client deposit",
"referenceId": null,
"network": "FIAT",
"createdAt": "2025-01-30T13:55:23.334Z"
}
],
"meta": {
"pagination": {
"total": 2,
"start": 1,
"end": 2,
"page": 1,
"limit": 2
}
}
}{
"status": "error",
"message": "Query validation failed"
}{
"status": "error",
"message": "The authorization key provided is either invalid or expired, please try again"
}{
"status": "error",
"message": "An internal error has occurred"
}List deposits
Returns a paginated view of all deposits (both fiat and stablecoin) for the organization.
GET
/
v1
/
brokerage
/
{orgId}
/
deposits
List deposits
const url = 'https://api.openfx.com/v1/brokerage/{orgId}/deposits';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));import requests
url = "https://api.openfx.com/v1/brokerage/{orgId}/deposits"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)HttpResponse<String> response = Unirest.get("https://api.openfx.com/v1/brokerage/{orgId}/deposits")
.header("Authorization", "Bearer <token>")
.asString();CURL *hnd = curl_easy_init();
curl_easy_setopt(hnd, CURLOPT_CUSTOMREQUEST, "GET");
curl_easy_setopt(hnd, CURLOPT_WRITEDATA, stdout);
curl_easy_setopt(hnd, CURLOPT_URL, "https://api.openfx.com/v1/brokerage/{orgId}/deposits");
struct curl_slist *headers = NULL;
headers = curl_slist_append(headers, "Authorization: Bearer <token>");
curl_easy_setopt(hnd, CURLOPT_HTTPHEADER, headers);
CURLcode ret = curl_easy_perform(hnd);package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.openfx.com/v1/brokerage/{orgId}/deposits"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}curl --request GET \
--url https://api.openfx.com/v1/brokerage/{orgId}/deposits \
--header 'Authorization: Bearer <token>'{
"status": "success",
"data": [
{
"id": "6a8dff03-a99c-4b76-b65a-3900315858a2",
"orgId": "c96183a5-2830-4606-9ae2-15dfd058872b",
"currency": "EUR",
"amount": 10,
"status": "COMPLETED",
"transactionHash": null,
"comments": null,
"referenceId": null,
"network": "FIAT",
"createdAt": "2025-02-07T13:02:29.147Z"
},
{
"id": "e8329d97-c9f9-4fa2-be2e-f0b9d0db2698",
"orgId": "c96183a5-2830-4606-9ae2-15dfd058872b",
"currency": "EUR",
"amount": 10,
"status": "COMPLETED",
"transactionHash": null,
"comments": "Client deposit",
"referenceId": null,
"network": "FIAT",
"createdAt": "2025-01-30T13:55:23.334Z"
}
],
"meta": {
"pagination": {
"total": 2,
"start": 1,
"end": 2,
"page": 1,
"limit": 2
}
}
}{
"status": "error",
"message": "Query validation failed"
}{
"status": "error",
"message": "The authorization key provided is either invalid or expired, please try again"
}{
"status": "error",
"message": "An internal error has occurred"
}v1 sunsets December 31, 2026. Migrate to v2 — see the migration guide.
Errors
| Status | Message | Notes |
|---|---|---|
| 400 | Query validation failed | Request didn’t match schema |
| 401 | The authorization key provided is either invalid or expired, please try again | Mint a fresh JWT — see Authentication |
| 500 | An internal error has occurred | Server fault; retry with backoff |
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Required range:
x >= 1Example:
1
Required range:
1 <= x <= 50Example:
10
Example:
"USD"
⌘I